HttpMessage::toString
HttpQueryString::__construct
HTTP
PHP Manual

# The HttpQueryString class

(PECL pecl_http >= 0.22.0)

## Class synopsis

HttpQueryString implements ArrayAccess , Serializable {
final public __construct ([ bool `$global` = true [, mixed `$add` ]] )
public mixed get ([ string `$key` [, mixed `$type` = 0 [, mixed `$defval` = `NULL` [, bool `$delete` = false ]]]] )
public HttpQueryString mod ( mixed `$params` )
public string set ( mixed `$params` )
static public HttpQueryString singleton ([ bool `$global` = true ] )
public array toArray ( void )
public string toString ( void )
public bool xlate ( string `$ie` , string `$oe` )
}

## Class Members

## Properties

Instance Properties
Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | queryArray | query parameters
private | string | queryString | serialized query parameters

Static Properties
Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | instance | holds singletons

## Predefined Constants

Type | Name | Description
--- | --- | ---
int | TYPE_BOOL | retrieve query param as bool
int | TYPE_INT | retrieve query param as int
int | TYPE_FLOAT | retrieve query param as float
int | TYPE_STRING | retrieve query param as string
int | TYPE_ARRAY | retrieve query param as array
int | TYPE_OBJECT | retrieve query param as object

## Table of Contents

- HttpQueryString::__construct — HttpQueryString constructor
- HttpQueryString::get — Get the query string or a part thereof
- HttpQueryString::mod — Modifiy query string copy
- HttpQueryString::set — Set query string params
- HttpQueryString::singleton — HttpQueryString singleton
- HttpQueryString::toArray — Get query string as array
- HttpQueryString::toString — Get query string
- HttpQueryString::xlate — Change query strings charset

HttpMessage::toString
HttpQueryString::__construct
HTTP
PHP Manual